changeset 252:aa03feec947a

Minor tweaks: one error check was missed, use hard links instead of symlinks when snapshotting (much faster since it doesn't have to create new inodes), and rephrase tar command line so busybox tar works with it even when linked against uClibc.
author Rob Landley <rob@landley.net>
date Tue, 01 Jan 2008 03:03:21 -0600
parents d7efae83fa57
children f93932523a08
files include.sh
diffstat 1 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/include.sh	Mon Dec 31 14:53:07 2007 -0600
+++ b/include.sh	Tue Jan 01 03:03:21 2008 -0600
@@ -62,7 +62,7 @@
   [ "$1" != "${1/%\.tar\.gz/}" ] && DECOMPRESS="z"
 
   cd "${WORK}" &&
-  { tar xv${DECOMPRESS}fC "${SRCDIR}/$1" "${BUILD}/temp" || dienow
+  { tar -xv${DECOMPRESS} -f "${SRCDIR}/$1" -C "${BUILD}/temp" || dienow
   } | dotprogress
 
   mv "${BUILD}/temp/"* "${SRCTREE}/${BASENAME}" &&
@@ -178,7 +178,7 @@
 {
   # Make sure the source is already extracted and up-to-date.
   cd "${SRCDIR}" &&
-  extract "${1}-"*.tar*
+  extract "${1}-"*.tar* || exit 1
 
   # Set CURSRC
 
@@ -192,7 +192,7 @@
   echo "Snapshot '$1'..."
   cd "${WORK}" &&
   mkdir -p "${CURSRC}" &&
-  cp -sfR "${SRCTREE}/$1/"* "${CURSRC}"
+  cp -lfR "${SRCTREE}/$1/"* "${CURSRC}"
 
   [ $? -ne 0 ] && dienow